lootTracker = {}
lootTracker.name = "lootTracker"
lootTracker.variableVersion = 1


lootTracker.Default = {
	loot = {"b"}
}

function lootTracker.OnAddOnLoaded(eventCode, addonName)
	if (addonName ~= lootTracker.name) then return end

			
	lootTracker.savedVariables = ZO_SavedVars:NewAccountWide("lootTrackerSavedVariables", lootTracker.variableVersion, nil, lootTracker.Default);
	
	containerOpen = false;
	chestOpen = false;
	chestDifficulty = 0;
	contents = "";
	--lootTracker.savedVariables.loot = lootTracker.Default;

	EVENT_MANAGER:UnregisterForEvent(lootTracker.name, EVENT_ADD_ON_LOADED);
	EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_LOOT_RECEIVED, lootTracker.looted);
	EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_LOOT_CLOSED, lootTracker.containerClosed);
	EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_LOOT_UPDATED, lootTracker.containerOpen);
	EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_BEGIN_LOCKPICK, lootTracker.lockpickStart);
	EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_LOCKPICK_SUCCESS, lootTracker.lockpickSuccess);

end

-- theft format:
-- [cadwellDif]<ZoneName> - <ContainerName>: <Item> <ItemQuality> | <Item> <ItemQuality> | etc
			
-- chest format
-- [cadwellDif]<ZoneName> - <ChestDif> Chest:

-- pickpocket format (singular item)
-- [cadwellDif]<ZoneName> - <PickpocketDif> Pickpocket: <Item> <ItemQuality> 

function lootTracker.looted(eventCode, receivedBy, itemName, quantity, soundCategory, lootType, self, isPickpocketLoot, questItemIcon, itemId, isStolen) 
	--stolen sound effect == 0
	--include isPickpocketLoot later?

	if containerOpen then
		contents = GetItemLinkName(itemName) .. "|" .. GetItemLinkQuality(itemName).. "|" .. contents;
	end
end

--container specific
function lootTracker.containerOpen(eventCode)
	containerOpen = true;

	--autoloot stolen shit below:
	action, name, blocked, owned, info, contextInfo, contextLink, isCriminal  = GetGameCameraInteractableActionInfo();
	if isCriminal then
		LootAll(false);
	end
end

function lootTracker.containerClosed(eventCode)
	action, name, blocked, owned, info, contextInfo, contextLink, isCriminal  = GetGameCameraInteractableActionInfo();
	--assign names if it's a chest
	if chestOpen then
		name = chestDifficulty.."Chest";
	end
	if (isCriminal or chestOpen) then
		if contents ~= "" then
			--zoneName, zoneDescription, zoneOrder = GetCadwellZoneInfo(GetCadwellProgressionLevel(), GetCurrentMapZoneIndex());

			table.insert(lootTracker.savedVariables.loot, 
			(--"[" .. GetCadwellProgressionLevel() .. "]" .. 
			GetPlayerActiveZoneName()
			.. "|" .. name .. "|" .. contents));
		end
	end
			
	contents = "";
	containerOpen = false;
	chestOpen = false;
	chestDifficulty = 0;
end
--end container block

--chest specific
function lootTracker.lockpickStart(eventCode)
	chestDifficulty = GetLockQuality();
end
function lootTracker.lockpickSuccess(eventCode)
	chestOpen = true;
end



EVENT_MANAGER:RegisterForEvent(lootTracker.name, EVENT_ADD_ON_LOADED, lootTracker.OnAddOnLoaded);